<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$orderby     = $_POST["orderby"];
$fechainicio = $_POST["fechainicio"];
$fechafin    = $_POST["fechafin"];

if (""==$_POST["filtro"]) { $filtro=10000; } else  { $filtro=$_POST["filtro"]; }


 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



$where="1=1";


if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecfac <='".$fechafin."'";
		}
	}
}


  
  if ($result = $mysqli->query("SELECT * FROM factulinea WHERE  ".$where ." LIMIT  " .$filtro )) {
   $filas = $result->num_rows;
   $result->close();
}
 


	$totalfacturas   = 0;
	$utilidad_total  = 0;
	$total_ventas    = 0;
	$cantidad_total  = 0;
	
	
    $consulta2= ("SELECT  SUM(importe) AS importe , SUM(mondes) AS mondes , SUM(impuesto) AS impuesto FROM  factulinea WHERE  ".$where. " LIMIT  " .$filtro);

	if ($resultado2 = $mysqli->query($consulta2)) 
	while ($dato = $resultado2->fetch_assoc()) {	
	
	 $importe   = $dato["importe"];
	 $mondes    = $dato["mondes"];
	 $impuesto  = $dato["impuesto"];
	 $totalfacturas = $importe-$mondes+$impuesto;
	
}

	 $importe  = number_format($importe,2,",",".");
	 $mondes   = number_format($mondes,2,",",".");
	 $impuesto = number_format($impuesto,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
	

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(utilidad_total,total_ventas,cantidad_total)
 {

	parent.document.form_busqueda.utilidad_total.value=utilidad_total;
	parent.document.form_busqueda.total_ventas.value=total_ventas;
	parent.document.form_busqueda.cantidad_total.value=cantidad_total;

	
	
    
}

function imprimir_excel() {
	
			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {

			
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;
	var combotipoventa=document.getElementById("combotipoventa").value;
	var cdgcaj=document.getElementById("cdgcaj").value;
	
	window.open("Reporte_Analitico_Detallado_de_Ventas_Excel.php?cdgcaj="+cdgcaj+"&fechainicio="+fechainicio+"&fechafin="+fechafin+"&combotipoventa="+combotipoventa);
}
		}
		

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php 
				
					if ($filas > 0) { 
$contador=0;
$marcaestado=0;	
$marcaborrado=0;		

	$consulta = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe,  SUM(importe-mondes+impuesto) AS total, SUM(cosart*cantidad) AS costo_total,
	SUM((importe-mondes)-(cosart*cantidad)) AS utilidad, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad,  borrado, codigo,dscart, fecfac  FROM factulinea WHERE borrado=0   AND ".$where. " GROUP BY  codigo  ORDER BY $orderby DESC LIMIT  " .$filtro ;
if ($resultado = $mysqli->query($consulta)) 

					 
    while ($fila = $resultado->fetch_assoc()) {
        $importe      = $fila["importe"];
        $mondes       = $fila["mondes"];
        $impuesto     = $fila["impuesto"];
		$total        = $fila["total"];
		$utilidad     = $fila["utilidad"];
		$costo_total  = $fila["costo_total"];
		$cantidad     = $fila["cantidad"];
		$codigo       = $fila["codigo"];
		$dscart       = $fila["dscart"];
		
				   
									if ($costo_total<>0){
									$porcentaje=($utilidad/$costo_total)*100;
									}else{ 
									$porcentaje=100;
									}
							
		$utilidad_total=$utilidad_total+$utilidad;
		$total_ventas=$total_ventas+$total;
		$cantidad_total=$cantidad_total+$cantidad;
							

								
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><?php $contador+1;?></td>

								<td width="13%" align="right"><div align="left"><?php echo $codigo?></div></td>	
									<?php	  $dscart = substr($dscart, 0,70);  ?>	
								<td width="45%"><div align="left"><?php echo $dscart  ?></div></td>	
								<td width="10%"><div align="center"><?php echo $cantidad ?></div></td>
								<td width="10%"><div align="right"><?php echo number_format($total,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($utilidad,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($porcentaje,2) ?></div></td>	
					
													
							
		
								<td width="4%">&nbsp;</td>
								<td width="4%"><div align="center"></div></td>
								<td width="8%"><div align="center"></div></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay articulos que cumplan con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } 
					

							$utilidad_total=number_format($utilidad_total,2);
							$total_ventas=number_format($total_ventas,2);
							$cantidad_total=number_format($cantidad_total,2);
					
					?>	
                    	
                    
                 <script languaje="javascript">
	pon_prefijo("<?php echo $utilidad_total ?>","<?php echo $total_ventas ?>","<?php echo $cantidad_total ?>");
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
